Retrieve a host

GET
/v1/scheduling/hosts/{host}

A host by its id or your uid.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

host*string

The host's id or uid.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The host.

application/json
  1. response
object*"scheduling.host"
Value in"scheduling.host"
id*string
uid*string|null
name*string
email*string|null
time_zone*string
attributes*
metadata*
status*string
Value in"active""disabled"
created_at*string
updated_at*string
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.scheduling.hosts.get({  value: "host_01kd2m9a0b1c2d3e4f5g6h7j8m",});
{  "object": "scheduling.host",  "id": "host_01kd2m9a0b1c2d3e4f5g6h7j8m",  "uid": "doctor_482",  "name": "Dr. Ana Reyes",  "email": "ana@example.com",  "time_zone": "America/New_York",  "attributes": {    "licensed_in": [      "NY",      "NJ"    ]  },  "metadata": {},  "status": "active",  "created_at": "2027-01-01T10:00:00.000Z",  "updated_at": "2027-01-01T10:00:00.000Z"}